{% extends "templates/form.njk" %}
{% from "packages/components/button/macro.njk" import button %}
{% from "macros/hce-summary-table-with-text-area.njk" import hceSummaryTableWithTextArea %}

{% block formContent %}
  <h1>{{ heading }}</h1>

  {{ hceSummaryTableWithTextArea({
    text: { heading: tableHeading, noteLabel: addNoteLabel },
    tableData: notesData
  }) }}

  <div class="form-group">
    {{ button({
      text: backButtonText,
      href: backButtonUrl,
      classes: "hce-telesales-blue-button",
      preventDoubleClick: true,
      attributes: {
        id: 'back-button'
      }
    }) }}

    {{ button({
      text: submitButtonText,
      classes: "hce-telesales-blue-button",
      preventDoubleClick: true,
      attributes: {
        id: 'submit-button'
      }
    }) }}

  </div>
{% endblock %}